Bug 27819 - [commit+] Need to update layout test for different timings of multi process message ports
Summary: [commit+] Need to update layout test for different timings of multi process m...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-29 16:12 PDT by John Abd-El-Malek
Modified: 2009-08-03 06:26 PDT (History)
3 users (show)

See Also:


Attachments
Proposed patch (1.61 KB, patch)
2009-07-29 16:14 PDT, John Abd-El-Malek
no flags Details | Formatted Diff | Diff
fixed bad merge (1.87 KB, patch)
2009-07-29 16:18 PDT, John Abd-El-Malek
eric: review+
Details | Formatted Diff | Diff
removed setTimeout (1.82 KB, patch)
2009-07-29 16:40 PDT, John Abd-El-Malek
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Abd-El-Malek 2009-07-29 16:12:18 PDT
With multi-process message ports, a message isn't delivered before a setTimeout(, 0) can execute.  This breaks an assumptions in message-channel-gc.html.
Comment 1 John Abd-El-Malek 2009-07-29 16:14:43 PDT
Created attachment 33748 [details]
Proposed patch
Comment 2 John Abd-El-Malek 2009-07-29 16:18:29 PDT
Created attachment 33749 [details]
fixed bad merge
Comment 3 Eric Seidel (no email) 2009-07-29 16:33:18 PDT
Comment on attachment 33749 [details]
fixed bad merge

Why the set-timeout for the "done"?

Looks fine otherwise.
Comment 4 John Abd-El-Malek 2009-07-29 16:40:42 PDT
Created attachment 33752 [details]
removed setTimeout

Thanks for the quick review.  You're right, no need.  Updated patch.
Comment 5 Eric Seidel (no email) 2009-07-29 16:41:22 PDT
Comment on attachment 33752 [details]
removed setTimeout

LGTM.
Comment 6 John Abd-El-Malek 2009-07-29 17:55:21 PDT
If someone can commit this for me, that'd be great.  Thanks.
Comment 7 Adam Barth 2009-08-01 10:58:19 PDT
Comment on attachment 33752 [details]
removed setTimeout

Clearing review flag on attachment: 33752

Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	LayoutTests/ChangeLog
	M	LayoutTests/fast/events/message-channel-gc.html
Committed r46673
	M	LayoutTests/ChangeLog
	M	LayoutTests/fast/events/message-channel-gc.html
r46673 = db4c3d1baaf0fa69e2af6d2d0516de6ca68f0cf7 (trunk)
No changes between current HEAD and refs/remotes/trunk
Resetting to the latest refs/remotes/trunk
http://trac.webkit.org/changeset/46673
Comment 8 Adam Barth 2009-08-01 10:58:24 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 John Abd-El-Malek 2009-08-03 06:26:33 PDT
(In reply to comment #8)
> All reviewed patches have been landed.  Closing bug.

Thanks!